## NAME

CURLOPT_SSH_PUBLIC_KEYFILE - set public key file for SSH auth

## SYNOPSIS

    #include <curl/curl.h>
     CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSH_PUBLIC_KEYFILE,
                               char *filename);

## DESCRIPTION

Pass a char * pointing to a filename for your public key. If not used, libcurl defaults to $HOME/.ssh/id_dsa.pub if the HOME environment variable is set, and just "id_dsa.pub" in the current directory if HOME is not set.

If an empty string is passed, libcurl will pass no public key to libssh2 which then tries to compute it from the private key, this is known to work when libssh2 1.4.0+ is linked against OpenSSL.

## DEFAULT

As explained above

## PROTOCOLS

SFTP and SCP

## EXAMPLE

TODO

## AVAILABILITY

The "" trick was added in 7.26.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_SSH_PRIVATE_KEYFILE CURLOPT_SSH_AUTH_TYPES

This HTML page was made with roffit.